<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <?php if( get_option('yoga_studio_slider_arrows') == '1'){ ?>
    <section id="slider" class="p-3 p-md-5">
      <span class="design-right"></span>
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php
          for ( $yoga_studio_i = 1; $yoga_studio_i <= 4; $yoga_studio_i++ ) {
            $yoga_studio_mod =  get_theme_mod( 'yoga_studio_post_setting' . $yoga_studio_i );
            if ( 'page-none-selected' != $yoga_studio_mod ) {
              $yoga_studio_slide_post[] = $yoga_studio_mod;
            }
          }
           if( !empty($yoga_studio_slide_post) ) :
          $yoga_studio_args = array(
            'post_type' =>array('post'),
            'post__in' => $yoga_studio_slide_post,
            'ignore_sticky_posts'  => true, // Exclude sticky posts by default
          );

          // Check if specific posts are selected
          if (empty($yoga_studio_slide_post) && is_sticky()) {
              $yoga_studio_args['post__in'] = get_option('sticky_posts');
          }

          $yoga_studio_query = new WP_Query( $yoga_studio_args );
          if ( $yoga_studio_query->have_posts() ) :
            $yoga_studio_i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $yoga_studio_query->have_posts() ) : $yoga_studio_query->the_post(); ?>
          <div <?php if($yoga_studio_i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <div class="container">
              <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-12 slide-content">
                  <div class="carousel-caption slider-inner">
                  <h2><?php the_title();?></h2>
                  <?php if( get_option('yoga_studio_slider_excerpt_show_hide',false) != 'off'){ ?>
                    <p class="slider-excerpt mb-0"><?php echo wp_trim_words(get_the_content(), get_theme_mod('yoga_studio_slider_excerpt_count',20) );?></p>
                  <?php } ?>
                  <div class="home-btn my-4">
                    <a class="py-3 px-4" href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('yoga_studio_slider_read_more',__('Register Now','yoga-studio'))); ?></a>
                  </div>
                </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-12 image-content">
                  <?php if(has_post_thumbnail()){ ?>
                    <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                  <?php }else { ?><div class="bg-color"></div> <?php } ?>
                </div>
              </div>
            </div>
          </div>
          <?php $yoga_studio_i++; endwhile;
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon px-3 py-2" aria-hidden="true"><i class="fas fa-long-arrow-alt-left"></i></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon px-3 py-2" aria-hidden="true"><i class="fas fa-long-arrow-alt-right"></i></span>
          </a>
      </div>
      <span class="design-left"></span>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php if( get_option('yoga_studio_services_enable') == '1'){ ?>
    <?php if( get_theme_mod('yoga_studio_services_section_title') != '' || get_theme_mod('yoga_studio_services_section_text') != '' || get_theme_mod('yoga_studio_category_setting') != ''){ ?>
      <section id="services-box" class="py-5">
        <span class="design-right"></span>
        <div class="container">
          <h3 class="text-center mb-2"><?php echo esc_html( get_theme_mod( 'yoga_studio_services_section_title','') ); ?></h3><span class="heading-bg"></span>
          <p class="text-center mb-5"><?php echo esc_html( get_theme_mod( 'yoga_studio_services_section_text','') ); ?></p>
          <div class="row">
            <?php
              $yoga_studio_services_category=  get_theme_mod('yoga_studio_category_setting');if($yoga_studio_services_category){
              $yoga_studio_page_query = new WP_Query(array( 'category_name' => esc_html($yoga_studio_services_category ,'yoga-studio')));?>
                <?php while( $yoga_studio_page_query->have_posts() ) : $yoga_studio_page_query->the_post(); ?>  
                  <div class="col-lg-4 col-md-4 col-sm-6">
                    <div class="box mb-lg-5 mb-3 text-center">
                      <div class="img-box mb-3">
                        <?php the_post_thumbnail(); ?>
                      </div>
                      <a href="<?php the_permalink(); ?>"><h4><?php the_title();?></h4></a>
                    </div>
                  </div>
                <?php endwhile;
              wp_reset_postdata();
            }?>
          </div>
        </div>
      </section>
    <?php }?>
  <?php } ?>
  <section id="custom-page-content" <?php if ( have_posts() && trim( get_the_content() ) !== '' ) echo 'class="pt-3"'; ?>>
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; ?>
    </div>
  </section>
</main>

<?php get_footer(); ?>